analyzers:
  prefix1:
    type: diagnostic_aggregator/GenericAnalyzer
    path: First
    remove_prefix: [ 'prefix1' ]
    find_and_remove_prefix: [ 'find1_items'] 
    startswith: [
      'pref1' ]
    contains: [
      'contains1a',
      'contains1b' ]
    name: [
      'name1' ]
    expected: [
      'prefix1: expected1a',
      'prefix1: expected1b',
      'prefix1: expected1c',
      'prefix1: expected1d' ]
  prefix2:
    type: diagnostic_aggregator/GenericAnalyzer
    path: Second
    contains: [
      'contain2a',
      'contain2b' ]
  prefix3:
    type: diagnostic_aggregator/DiscardAnalyzer
    path: Third
    contains: [
      'nocontains']
  prefix4:
    type: diagnostic_aggregator/IgnoreAnalyzer
    path: Fourth
